package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciExpRepMapper;
import com.goldenwater.slaj.acci.domain.BisAcciExpRep;
import com.goldenwater.slaj.acci.service.IBisAcciExpRepService;

/**
 * 事故快报 服务层实现
 */
@Service
public class BisAcciExpRepServiceImpl implements IBisAcciExpRepService {

    @Autowired
    private BisAcciExpRepMapper bisAcciExpRepMapper;

    /**
     * 查询事故快报信息
     * @param guid 查询条件
     * @return 事故快报信息
     */
    @Override
    public BisAcciExpRep selectBisAcciExpRepByGuid(String guid) {
        return bisAcciExpRepMapper.selectBisAcciExpRepByGuid(guid);
    }

    /**
     * 查询事故快报列表
     * @param bisAcciExpRep 事故快报查询条件
     * @return 事故快报集合
     */
    @Override
    public List<BisAcciExpRep> selectBisAcciExpRepList(BisAcciExpRep bisAcciExpRep) {
        return bisAcciExpRepMapper.selectBisAcciExpRepList(bisAcciExpRep);
    }

    /**
     * 新增事故快报
     * @param bisAcciExpRep 事故快报信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciExpRep(BisAcciExpRep bisAcciExpRep) {
        return bisAcciExpRepMapper.insertBisAcciExpRep(bisAcciExpRep);
    }

    /**
     * 修改事故快报
     * @param bisAcciExpRep 事故快报信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciExpRep(BisAcciExpRep bisAcciExpRep) {
        return bisAcciExpRepMapper.updateBisAcciExpRep(bisAcciExpRep);
    }

    /**
     * 删除事故快报
     * @param guid 事故快报主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciExpRepByGuid(String guid) {
        return bisAcciExpRepMapper.deleteBisAcciExpRepByGuid(guid);
    }

    /**
     * 批量删除事故快报
     * @param guids 事故快报主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciExpRepByGuids(String[] guids) {
        return bisAcciExpRepMapper.deleteBisAcciExpRepByGuids(guids);
    }
}
